REALPATH(3)

NAME
realpath - resolve a pathname

SYNOPSIS
#include <stdlib.h>
char *realpath(const char *file_name, char *resolved_name);

DESCRIPTION
realpath finds an absolute path to file_name which does not contain . and .. components or symbolic links. The absolute path is stored in resolved_name, which is expected to provide storage for at least MAX_PATH bytes.

RETURN VALUE
If the function succeeds, a pointer to resolved_name is returned. If the function fails, NULL is returned and errno is set to indicate the cause of the failure.